error when install plugin

Added by Zen Zla 13 days ago

Hello,

firstly, sorry my english is not very good

Information about my system

Environment:
  Redmine version                3.4.4.stable
  Ruby version                   2.0.0-p648 (2015-12-16) [x86_64-linux]
  Rails version                  4.2.8
  Environment                    production
  Database adapter               Mysql2
SCM:
  Subversion                     1.7.14
  Git                            1.8.3.1
  Filesystem                     
Redmine plugins:
  redmine_ldap_sync              2.1.1.devel

I don't know anything about ruby
I was given the task of installing the "Redmine Stealth" plugin
https://github.com/isabella232/redmine_stealth
But I have the following error that I can't seem to find the solution

# bundle exec rake redmine:plugins:migrate RAILS_ENV=production
[DEPRECATION] requiring "RMagick" is deprecated. Use "rmagick" instead
rake aborted!
NoMethodError: private method `prepend' called for #<Class:0x00000005852348>
/usr/local/share/gems/gems/activerecord-4.2.8/lib/active_record/dynamic_matchers.rb:26:in `method_missing'
/var/www/redmine/plugins/redmine_stealth/lib/redmine_stealth.rb:21:in `block in prepend_patch'
/var/www/redmine/plugins/redmine_stealth/lib/redmine_stealth.rb:19:in `each'
/var/www/redmine/plugins/redmine_stealth/lib/redmine_stealth.rb:19:in `prepend_patch'
/var/www/redmine/plugins/redmine_stealth/lib/redmine_stealth.rb:35:in `block in <top (required)>'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:446:in `instance_exec'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:446:in `block in make_lambda'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:192:in `call'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:192:in `block in simple'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `call'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `block in call'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `each'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `call'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:778:in `_run_prepare_callbacks'
/usr/local/share/gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'
/usr/local/share/gems/gems/actionpack-4.2.8/lib/action_dispatch/middleware/reloader.rb:83:in `prepare!'
/usr/local/share/gems/gems/actionpack-4.2.8/lib/action_dispatch/middleware/reloader.rb:55:in `prepare!'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/application/finisher.rb:50:in `block in <module:Finisher>'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/initializable.rb:30:in `instance_exec'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/initializable.rb:30:in `run'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/initializable.rb:55:in `block in run_initializers'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/initializable.rb:54:in `run_initializers'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/application.rb:352:in `initialize!'
/var/www/redmine/config/environment.rb:14:in `<top (required)>'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/application.rb:328:in `require'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/application.rb:328:in `require_environment!'
/usr/local/share/gems/gems/railties-4.2.8/lib/rails/application.rb:457:in `block in run_tasks_blocks'
/usr/local/share/gems/gems/rake-12.3.0/exe/rake:27:in `<top (required)>'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/cli/exec.rb:75:in `load'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/cli/exec.rb:75:in `kernel_load'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/cli/exec.rb:28:in `run'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/cli.rb:424:in `exec'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/command.rb:27:in `run'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/invocation.rb:126:in `invoke_command'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor.rb:387:in `dispatch'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/cli.rb:27:in `dispatch'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/vendor/thor/lib/thor/base.rb:466:in `start'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/cli.rb:18:in `start'
/usr/local/share/gems/gems/bundler-1.16.1/exe/bundle:30:in `block in <top (required)>'
/usr/local/share/gems/gems/bundler-1.16.1/lib/bundler/friendly_errors.rb:122:in `with_friendly_errors'
/usr/local/share/gems/gems/bundler-1.16.1/exe/bundle:22:in `<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'
Tasks: TOP => redmine:plugins:migrate => environment
(See full trace by running task with --trace)

You can help me

Replies (1)

RE: error when install plugin - Added by Zen Zla 12 days ago

no one can help me ?

(1-1/1)